"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobStop = void 0;
const element_shadow_1 = require("../../components/element-shadow");
class JobStop extends element_shadow_1.ElementShadow {
    constructor(props) {
        super();
        Object.assign(this, props);
        this.$$ignoreEvalProps.push('type');
    }
    async exec() {
        if (!this.type?.length)
            return;
        const stopType = Array.isArray(this.type) ? this.type : [this.type];
        const job = this.getParentByClassName(...stopType);
        await job?.stop();
    }
}
exports.JobStop = JobStop;
//# sourceMappingURL=job-stop.js.map