import { ElementShadow } from '../element-shadow';
import { MDDocProps } from './md.props';
export declare class MDDoc extends ElementShadow {
    saveTo?: string;
    includeDirs?: string[];
    excludeDirs?: string[];
    includePattern: RegExp;
    prependMDs?: Array<string | {
        path: string;
    }>;
    appendMDs?: Array<string | {
        path: string;
    }>;
    count: {
        handled: number;
        ignored: number;
    };
    constructor(props: MDDocProps);
    exec(): Promise<void>;
    private scanDir;
    private scanFile;
}
