"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const exit_1 = require("./exit");
let exit;
beforeEach(async () => {
    await testing_1.Testing.reset();
});
afterEach(async () => {
    await exit.dispose();
});
test('exit() should be called', async () => {
    exit = await testing_1.Testing.newElement(exit_1.Exit);
    exit.exit = jest.fn();
    await exit.exec();
    expect(exit.exit).toBeCalled();
});
//# sourceMappingURL=exit.spec.js.map