import { Job } from '../../../components/.job/job';
import { SubProps } from './sub.props';
export declare class Sub extends Job {
    address: string;
    secure?: {
        basic?: {
            username: string;
            password: string;
        };
    };
    basicAuthorizationToken?: string;
    private server?;
    constructor({ address, secure, ...props }: SubProps);
    execJob(): Promise<void>;
    private handleRequest;
    private getRequestBody;
    stop(): Promise<void>;
    dispose(): Promise<void>;
}
