import { GroupItemProps, GroupProps } from '../../../components/group/group.props';
import { QuitItemProps } from './quit-item.props';
import { SubItemProps } from './sub-item.props';
export type SubProps = {
    address: string;
    secure?: {
        basic?: {
            username: string;
            password: string;
        };
    };
    queue?: {
        file?: string;
        password?: string;
        storage?: string;
    };
    runs: Array<GroupItemProps | SubItemProps | QuitItemProps>;
} & GroupProps;
