import { Logger } from '../logger';
import { Job } from './job';
import { JobsManagerOption } from './jobs-manager.props';
export declare class JobsManager {
    private readonly logger;
    private concurrent;
    private startProms?;
    private readonly jobs;
    private readonly queueJobs;
    private readonly runningJobs;
    private readonly jobHandler?;
    private readonly storage?;
    private error?;
    constructor(logger: Logger, opts: JobsManagerOption);
    add(job: Job): Promise<void>;
    pullJobToRun(): void;
    start(): Promise<unknown>;
    stop(): void;
}
