import { GetProps } from './get.props';
import { Head } from './head';
import { ResponseType } from './types';
export declare class Get extends Head {
    method: string;
    responseType?: ResponseType;
    saveTo?: string;
    constructor({ responseType, saveTo, ...props }: GetProps);
    exec(): Promise<any>;
    send(fetchOpts?: any): Promise<import("./types").Response>;
    protected getResponseData(rs: Response): Promise<any>;
}
