import { ElementShadow } from '../element-shadow';
import { InputInterface } from './input.interface';
import { InputProps } from './input.props';
import { InputAbstract } from './questions/input.abstract';
export declare class Input<T extends InputProps> extends ElementShadow {
    $$ignoreEvalProps: string[];
    props: any;
    private input?;
    protected InputClass?: new (props: any) => InputAbstract<InputInterface>;
    constructor(inputProps: T);
    answer(value?: string | number | boolean | Array<{
        key: string;
        name: string;
    }>): void | undefined;
    exec(): Promise<any>;
}
