import { InputMultiSelectInterface } from './input-multiselect.interface';
import { InputAbstract } from './input.abstract';
export declare class InputMultiSelect extends InputAbstract<InputMultiSelectInterface> {
    readonly type = "multiselect";
    choices: Array<{
        title: string;
        value: any;
        selected?: boolean;
    }>;
    constructor({ choices, ...props }: Partial<InputMultiSelectInterface>);
    exec(): Promise<boolean | null | undefined>;
}
