"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Install = void 0;
const packages_manager_1 = require("../../managers/packages-manager");
const install_abstract_1 = require("./install.abstract");
class Install extends install_abstract_1.InstallAbstract {
    constructor(props) {
        super(props);
    }
    async action(...packsInstall) {
        const packageManager = new packages_manager_1.PackagesManager(this.scene);
        await packageManager.install(...packsInstall);
    }
}
exports.Install = Install;
//# sourceMappingURL=install.js.map