import { ElementProps } from '../../components/element.props';
import { ElementShadow } from '../element-shadow';
export type TestProps = string | ({
    check?: string;
    script?: string;
} & ElementProps);
export declare class Test extends ElementShadow {
    $$ignoreEvalProps: string[];
    label?: string;
    check?: string;
    script?: string;
    private readonly defaultTestTitle?;
    constructor(props: TestProps);
    failed(description?: string): never;
    exec(): Promise<boolean>;
}
